Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# SchemeNode Class Reference
[Parsers]

## Detailed Description

Scheme node.

## Public Methods

| SchemeNode ()

## Data Fields

SchemeNodeType | type
String * | schemeName
SchemeImpl * | scheme
VirtualEntryVector | virtualEntryVector
KeywordList * | kwList
CharacterClass * | worddiv
const Region * | region
const Region * | regions [REGIONS_NUM]
const Region * | regionsn [NAMED_REGIONS_NUM]
const Region * | regione [REGIONS_NUM]
const Region * | regionen [NAMED_REGIONS_NUM]
CRegExp * | start
CRegExp * | end
bool | lowPriority
bool | lowContentPriority

## Constructor & Destructor Documentation

SchemeNode::SchemeNode | ( |  | ) |

| !regions clean???

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.